<?php
if (!defined('DC_CONTEXT_ADMIN')) { exit; }
?>
<html>
<head>
<title><?php echo __('OpenID authentication') ?></title>
<style type="text/css">
pre{
	margin-left: 100px;
	margin-right: 100px;
}

code{
	display: block;
	border: 1px solid #000;
	border-left: 8px solid #000;
	padding: 3px;
}
</style>
</head>
<body>
<?php if (get_class($core->auth) == 'OpenIDDCAuth'): ?>
<h2><?php echo __('Congratulations, the OpenID authentication plugin for Dotclear 2 has been successfully installed!'); ?></h2>
<p><?php echo __('To uninstall, please modify your inc/config.php by removing these lines:') ?></p>
<?php else: ?>
<h2><?php echo __('The OpenID authentication plugin for Dotclear 2 is almost installed.'); ?></h2>
<p><?php echo __('You just need to modify your configuration. For that, please modify your inc/config.php by adding these lines near the end of the file:') ; ?></p>
<? endif; ?>
<pre><code>// OpenID authentication
$__autoload['OpenIDDCAuth'] = dirname(__FILE__).'/../plugins/authopenid/class.openid.auth.php';
if (file_exists($__autoload['OpenIDDCAuth'])) {
	define('DC_AUTH_CLASS','OpenIDDCAuth');
} else {
	unset($__autoload['OpenIDDCAuth']);
}
</code></pre>
</body>
</html>